function GammaFit = Fit2Gamma (T4fit, G4fit)

s = fitoptions ('Method', 'NonlinearLeastSquares', ...
	'Startpoint', [0, 100, 1, 0.05], ...
	'Lower', [-Inf, 0, 1, 0], ...
	'Upper', [Inf, Inf, 2, Inf]);
f = fittype ('aG * sin ((omegaG * t) ^ powerG) * exp (-t / tauG)', ...
	'coefficients', {'aG', 'omegaG', 'powerG', 'tauG'}, 'independent', 't', 'options', s);
GammaFit = fit (T4fit, G4fit, f);
