function linFit = FitLinearAB (x, y)
s = fitoptions('Method','NonlinearLeastSquares',...
	'Startpoint',[0,0],...
	'Lower', [-Inf,-Inf],...
	'Upper', [Inf,Inf]);
f = fittype ('a*x+b', 'coefficients', {'a','b'}, 'independent', 'x', 'options', s);
linFit = fit (x, y, f);
