% this Matlab script, studies the response linearity region of the LInF "WorkingPoint" ...
clear all;
%%  Learning configuration tunables:
ProcessingMinutes = 60;
WorkingPoint = '1syn'; SetWorkingPoint; LogPath = ['SimLog\RvsW2D' num2str(ProcessingMinutes)];

SaveExtraInfo = 1;

LInFinit; LogHeader; tic;
%% Execution loop
for ExcSynW0 = 0.1:0.1:0.9
	for InhSynW0 = 0.1:0.1:0.9
		% reset weights
		ExcSynWeights = ExcSynW0*ones (ExcSynCount, 1);
		InhSynWeights = InhSynW0*ones (InhSynCount, 1);

		LInFneuron;
		SaveNlog;
		sprintf ('loop of %f / %f ended at %f', ExcSynW0, InhSynW0, toc)
	end;
end;
