function CalcR2 (X, Y)
X = reshape (X ,numel(X), 1);
Y = reshape (Y ,numel(Y), 1);

linFit = FitLinearA (Y,X);
Sfit = linFit (X);
SSerr = sum((Y-Sfit).^2);
SStot = sum((Y-mean(Y)).^2);
R2 = 1 - SSerr/SStot;
sprintf ('A = %.4f, R2 = %.4f', linFit.a, R2)