clear all; path (path, 'CommonLib');
SetLearningK;
%%
thisFig = figure ('Units', 'centimeters', 'Position', [1 1 8.3 10]); hold on;
set (gca, 'FontName', 'Helvetica', 'FontSize', 9);

LearningThetas = [1 0.75 0 -0.75 -1];
Subplots = 'BCDEF';

rectY = 0.85-(0:5)*.15;

Kernel2SubPlot ('A', [0.1 rectY(1) 0.8 0.14], 'C', 0, 0); % special treatment for the standard TAH
for i = 1:5
	Kernel2SubPlot (Subplots(i), [0.1 rectY(1+i) 0.8 0.14], 'O', LearningThetas(i), 0);
end

xlabel('t_{post} - t_{pre}  [ms]', 'FontName', 'Helvetica', 'FontSize', 9);
set (gca, 'XTickLabel', (-100:50:100), 'FontName', 'Helvetica', 'FontSize', 9);
%%
SaveFigure (thisFig, 'F1_STDP_K', 'eps');
